Bug 93541 - security/clamsmtp: does not start with new rc script
Summary: security/clamsmtp: does not start with new rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-19 01:20 UTC by Yasuhiro KIMURA
Modified: 2006-02-21 01:44 UTC (History)
1 user (show)

See Also:


Attachments
patch-clamsmtp (1.01 KB, text/plain)
2006-02-19 01:20 UTC, Yasuhiro KIMURA
no flags Details
clamsmtpd.patch (1.73 KB, patch)
2006-02-20 13:57 UTC, Marcus Alves Grando
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2006-02-19 01:20:03 UTC
	After files/clamsmtpd.sh.in is updated, startup fails
	with option error.

	(BTW, I wonder if using -d option of clamsmtpd in rc script
	 is really meaningful...)

How-To-Repeat: 	Install with latest port and start up with

	# /usr/local/etc/rc.d/clamsmtp.sh start
Comment 1 Edwin Groothuis freebsd_committer 2006-02-19 01:24:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer
Comment 2 Marcus Alves Grando freebsd_committer 2006-02-20 13:57:57 UTC
Debug option is not need to clamsmtpd work. You can add extra flags via 
clamsmtpd_flags="XXX" in rc.conf. clamsmtpd_flags are automatic add in 
command to start.

"KEYWORD: FreeBSD" doesn't need too.

My suggested patch are attached.

Thanks

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
   mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 3 Cheng-Lung Sung freebsd_committer 2006-02-21 01:43:49 UTC
State Changed
From-To: open->closed

Committed with mnag@ modified patch. Thank you. :)